RPC_GSS_GET_PRINCIPAL_NAME(3)

NAME
rpc_gss_get_principal_name - Get a principal name

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_get_principal_name(rpc_gss_principal_t *principal, const char *mech, const char *name, const char *node, const char *domain);

DESCRIPTION
This function can be used to generate a client principal name from various strings.

PARAMETERS

principal
    If the principal is created successfully, *principal will be set to point at the new principal in GSS-API exported name form

mech
    The name of the mechanism for this principal

name
    The name part of the principal

node
    If non-null, the hostname or instance part of the principal

domain
    If non-null, the domain or realm part of the principal

RETURN VALUES
Returns TRUE if the principal was created or FALSE otherwise

AVAILABILITY
The rpc_gss_get_principal_name() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), gss_export_name(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.